﻿body 
{ 
    font-family: Tahoma, Sans-Serif, Arial; 
    font-size: 0.8em;
    margin: 0;
}

header {
    font-family: 'Dosis', sans-serif;
    font-size: 1.6em;
    margin: 0.2em 0.7em;
    float: left;
}

input,
select,
textarea
{
    padding: 0.3em 0.5em;
    border: solid 1px #ccc;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -khtml-border-radius: 3px;
    font: inherit;   
}
select { padding: 0.2em; }
input[type=button],
input[type=submit]
{
    background:-webkit-gradient(linear, left top, left bottom, from(#f6f6f6), to(#ddd));
    background:-moz-linear-gradient(center top, #f6f6f6, #ddd);
    cursor: pointer; 
}

table  {  border-spacing: 0; }
td { padding: 0.2em 0.5em; vertical-align: top; }

h1,
.pathItem
{
    font-size: 1em; 
    font-weight: bold;
    margin: 0 0.5em 1em 0; 
    padding-left: 20px;
    display: inline-block;
    background: url(../images/icons/bullet_go.png) no-repeat scroll left top;
    margin-bottom: 0;
    font-weight: normal;
    color: #666; 
}
h1 a,
a.pathItem { color: #666; text-decoration: none; }
h1 a:hover,
a[href].pathItem:hover { text-decoration: underline; }



#header 
{ 
    padding: 0.4em 1em;     
    background-color: #444444; 
    color: #aaaaaa;
    position: relative;
}
#header a { color: white; }
#header 
#header span { margin-right: 1em; }
#loginInfo { float: right; margin-top: 1.8em; }
#loginInfo a { margin-left: 1em; }
.headerClear { clear: both; }

#subheader {
    display: block;
    padding: 0.4em 2em;
    background: #eee;
    margin-bottom: 1em;
}

#content
{
    padding: 0.2em 1em;
}


/* Menu */

.mainMenu { float: none !important; }
.mainMenu ul { 
    margin: 1.55em 20em 0 !important; 
    float: none !important; 
    text-align: center;
    outline: none;
}
.mainMenu li { 
    margin: 0px 0.5em;
    display: inline-block !important;
    float: none !important;
    background: rgba(255,255,255,0.2);
    padding: 0.25em 1em;
}
.mainMenu li:hover {
    background: rgba(255,255,255,0.3);
}

#header .dynamicSubmenu  
{
    margin-top: 0.2em;
    background-color: rgba(255,255,255,0.95);
    border: solid 1px rgba(0,0,0,0.5);
    -moz-border-radius: 3px;
    -khtml-border-radius: 3px;
    border-radius: 3px;
    -moz-box-shadow: 0 0 3px rgba(0,0,0,0.5);
    -khtml-box-shadow: 0 0 3px rgba(0,0,0,0.5);
    box-shadow: 0 0 3px rgba(0,0,0,0.5);
    clip: auto !important;
}
#header .dynamicSubmenu a { color:#ff8800; }


/* Grouping */

.groupedTable .groupHeader td { padding: 0; }
.groupedTable .groupHeader span 
{
    margin: 1em 0 0.5em;
    padding: 0.2em 0.5em;
    border-bottom: solid 1px #cccccc;
    font-size: 1.4em;
    display: block;
}

/* Tables */

.table
{
    border-collapse: separate;
}
.table th 
{ 
    background-color: #cccccc;
}
.table td,
.table th { padding: 0.4em 0.5em; }

.table th a { color: Black; }
.table a { color: #888888; }


/* String List Editor */

.stringListEditor
{
    vertical-align: middle;
    background-color: White;
    border: solid 1px #ccc;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -khtml-border-radius: 3px;
}
.stringListEditor input
{
    border: none;
    padding: 0;
}
.stringListEditor td 
{ 
    border: none !important;
}
.stringListEditor td:first-child { width: 100%; }
.stringListEditor td:first-child input { width: 100%; } 
.stringListEditor .addRow,
.stringListEditor .addRow input { background-color: #e0e0e0; color: #888888; }
.stringListEditor .emptyList { color: #888888; font-style: italic; }


/* Users list */

#usersList tr:nth-child(even) { background:#f6f6f6; }
#usersList .userDescription { display:block; font-size: smaller; color: gray; max-width: 40em; }
#usersList .jsApiActive { color: Green; }
#usersList .jsApiSoonExpire { color: Orange; }
#usersList .jsApiInactive { color: Red; }


/* Edit user */

#editUser { width: 40em; }
#editUser > tbody > tr > td:last-child { width: 22em; }
#editUser > tbody > tr > td > input,
#editUser > tbody > tr > td > textarea { 
    width: 100%;
    box-sizing: border-box; 
}
#editUser > tbody > tr > td > input[type="submit"] { width: auto; }
#editUser > tbody > tr > td > input[type="checkbox"] { width: auto; margin: 0.3em 0.8em; }
#editUser table { width: 22em; }
#editUser select {
    width: 100%;
    box-sizing: border-box;
}

#editUserActions { width: 39em; }

/* Actions */

.actions { text-align: right; padding: 1em 0.5em; min-height:2em; }
.actions .secondaryAction { float: left; }


/* ASP.NET Ajax */

.ajax__calendar_days td { padding: 0; }

/* Errors */

.error { color: Red; }


/* Change password form */

.changePasswordForm tr:nth-child(2) { display:none; }
.changePasswordForm table tr:last-child { display:none; }
